%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %name %{lib_major}
%define script_version 0.3

Name:		ganglia
License:	BSD
Version:	3.5.0
Release:	%mkrel 3
Group:		Monitoring
Summary:	Cluster Toolkit
URL:		http://ganglia.sourceforge.net
Source:		http://downloads.sourceforge.net/ganglia/%{name}-%{version}.tar.gz
Requires(post):	rpm-helper
Requires(preun): rpm-helper
#Source1:	gmond.conf
Source2:	%{name}-monitor-script-%{script_version}.tar.bz2
Source3:	%{name}-monitor-script.d
Source4:	ganglia-script
Source5:	README.script
Source6:	ganglia-monitor-logrotate.d
Source7:	gmond.service
Source8:	gmetad.service
Buildrequires:	apr-devel
BuildRequires:	confuse-devel
BuildRequires:	expat-devel
BuildRequires:	freetype2-static-devel
Buildrequires:	gettext-devel
BuildRequires:	python-devel
BuildRequires:	rrdtool-devel

%description
Ganglia is a scalable, real-time cluster monitoring and execution environment
with all execution requests and cluster statistics expressed in an open
well-defined XML format.

%package 	core
Group:		Monitoring
Summary:	Cluster Core
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description	core
The core package of Ganglia Monitor.

%package	gmetad
Group:		Monitoring
Summary:	Meta daemon
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	%name-core = %{version}-%{release}

%description gmetad
Ganglia is a scalable, real-time monitoring and execution environment
with all execution requests and statistics expressed in an open
well-defined XML format.

This gmetad daemon can aggregate monitoring data from several clusters
to form a monitoring grid. It also keeps metric history using the RRD tool.

%package 	-n %{lib_name}-devel
Group:		Development/Other
Summary:	Cluster Toolkit Library
Provides:	libganglia-devel = %{version}-%{release}
Provides:	%name-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Conflicts:	%{lib_name} < 3.1.7-3
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description	-n %{lib_name}-devel
The Ganglia Monitoring Core library provides a set of
functions that programmers can use to build scalable
cluster or grid applications.

%package 	-n %{lib_name}
Group:		Development/Other
Summary:	Cluster Toolkit Library
Provides:	lib%name = %{version}-%{release}
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description	-n %{lib_name}
The Ganglia Monitoring Core library provides a set of
functions that programmers can use to build scalable
cluster or grid applications.

%package	script
Group:		Monitoring
Summary:	Cluster Script
Provides:	%{name}-script = %{version}-%{release}
Requires:	%{name}-core
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description	script
Ganglia Monitor Script is an extrension for Ganglia Monitor.
It's a easy way to add value to monitor for your
Ganglia Monitor.

%prep
%setup -q -T -n %{name}-monitor-script-%{script_version} -b 2
%setup -q -T -n %{name}-%{version} -b 0

%build
rm -rf %{buildroot}

%configure2_5x --with-gmetad --enable-status
%make


%install
rm -fr %buildroot

%{__mkdir} -p %{buildroot}/var/lib/ganglia/rrds

%makeinstall_std

install -D -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/gmond.service
install -D -m 644 %{SOURCE8} %{buildroot}%{_unitdir}/gmetad.service

#Disabling setuid
echo "setuid off" >> %{_builddir}/%{name}-%{version}/gmetad/gmetad.conf

install -D -m 755 %{SOURCE4} %{buildroot}%{_bindir}

#script
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}-script/script/
%{__mkdir} -p %{buildroot}%{_defaultdocdir}/%{name}-script-%{version}/
install %{_builddir}/%{name}-monitor-script-%{script_version}/* %{buildroot}%{_datadir}/%{name}-script/script/
install %{SOURCE5} %{buildroot}%{_defaultdocdir}/%{name}-script-%{version}/README

install -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/ganglia-monitor-core

%{_builddir}/%{name}-%{version}/gmond/gmond -t > %{buildroot}%{_sysconfdir}/gmond.conf
perl -pi -e 's|name = "unspecified".*|name = "Cluster"|' %{buildroot}%{_sysconfdir}/gmond.conf

%multiarch_binaries %{buildroot}%{_bindir}/ganglia-config

#core
%post core
%_post_service gmond

%preun core
%_preun_service gmond

#script
%post script
%_post_service ganglia-script

%preun script
%_preun_service ganglia-script

%post gmetad
%_post_service gmetad
if [ -d "var/lib/ganglia/rrds" ]; then 
	echo "gmetad is launched as the nobody user now, changing /var/lib/ganglia/rrds permissions to nobody:nogroup"
	chown -R nobody:nogroup /var/lib/ganglia/rrds
fi

%preun gmetad
%_preun_service gmetad

%files gmetad
%attr(0777,nobody,nogroup) /var/lib/ganglia/rrds
%{_sbindir}/gmetad
%{_unitdir}/gmetad.service
%config(noreplace) %{_sysconfdir}/conf.d/modpython.conf
%config(noreplace) %{_sysconfdir}/gmetad.conf
%{_mandir}/man1/gmetad.1*
%{_mandir}/man1/gmetad.py.1*

%files core
%doc README AUTHORS ChangeLog COPYING gmond/gmond.conf.html
%{_bindir}/gmetric
%{_bindir}/gstat
%multiarch %{multiarch_bindir}/ganglia-config
%{_bindir}/ganglia-config
%{_sbindir}/gmond
%{_unitdir}/gmond.service
%config(noreplace) %{_sysconfdir}/gmond.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ganglia-monitor-core
%{_mandir}/man1/gmetric.1*
%{_mandir}/man1/gmond.1*
%{_mandir}/man1/gstat.1*
%{_mandir}/man5/gmond.conf.5*

%files -n %{lib_name}
%doc README AUTHORS ChangeLog COPYING
%{_libdir}/libganglia-%{version}.so.*
%{_libdir}/ganglia/*.so

%files -n %{lib_name}-devel
%doc README AUTHORS ChangeLog COPYING
%{_includedir}/*
%{_libdir}/libganglia.so
%{_libdir}/libganglia.la
%{_libdir}/libganglia.a

%files script
%{_bindir}/ganglia-script
%{_datadir}/%{name}-script
%doc %{_defaultdocdir}/%{name}-script-%{version}/README


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.5.0-3.mga3
+ Revision: 351046
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + solbu <solbu>
    - Don't ship INSTALL file

* Thu Dec 20 2012 solbu <solbu> 3.5.0-1.mga3
+ Revision: 333494
- New version

* Sat Dec 01 2012 fwang <fwang> 3.4.0-2.mga3
+ Revision: 323774
- rebuild for new pcre

* Tue Aug 14 2012 guillomovitch <guillomovitch> 3.4.0-1.mga3
+ Revision: 281295
- new version
- systemd support
- spec cleanup
- ship gmond man pages in gmond package
- drop webfronted package, no more included in the distribution

* Sun Apr 29 2012 colin <colin> 3.1.7-7.mga2
+ Revision: 234273
- Add LSB headers to initscripts (mga#5262)

* Mon Apr 02 2012 pterjan <pterjan> 3.1.7-6.mga2
+ Revision: 227778
- Rebuild after libexpat.la removal

* Tue Apr 05 2011 misc <misc> 3.1.7-5.mga1
+ Revision: 80780
- fix and clean requires of webfrontend subpackages

* Tue Feb 08 2011 ennael <ennael> 3.1.7-4.mga1
+ Revision: 49112
- remove mdk version
- imported package ganglia

